Bug 437411 - Disks Usage widget added to Plasma panel displays no information
Summary: Disks Usage widget added to Plasma panel displays no information
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: System Monitor (show other bugs)
Version: master
Platform: Neon Packages Linux
: VHI normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-20 13:07 UTC by Patrick Silva
Modified: 2021-05-21 14:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-05-20 13:07:12 UTC
STEPS TO REPRODUCE
1. add Disk Usage widget to Plasma panel
2. 
3. 

OBSERVED RESULT
we see empty space in Plasma panel instead of disk usage info

EXPECTED RESULT
disk usage info displayed in Plasma panel

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2021-05-20 18:06:56 UTC
Can confirm. That's not very useful. :)
Comment 2 Bug Janitor Service 2021-05-21 10:01:47 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/874
Comment 3 Nate Graham 2021-05-21 14:38:31 UTC
Git commit 334d8f02f5c35a96fc1ae30989dca5ad2ec6217a by Nate Graham, on behalf of David Redondo.
Committed on 21/05/2021 at 14:38.
Pushed by ngraham into branch 'master'.

systemmonitor: Use up to date sensor ids

Tested all widgets and confirmed they work

M  +2    -3    applets/systemmonitor/coreusage/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/cpu/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/diskusage/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/memory/contents/config/faceproperties

https://invent.kde.org/plasma/plasma-workspace/commit/334d8f02f5c35a96fc1ae30989dca5ad2ec6217a
Comment 4 Nate Graham 2021-05-21 14:39:04 UTC
Git commit d974a7f571f306b65bf851fbae8c62ad4b167d69 by Nate Graham, on behalf of David Redondo.
Committed on 21/05/2021 at 14:39.
Pushed by ngraham into branch 'Plasma/5.22'.

systemmonitor: Use up to date sensor ids

Tested all widgets and confirmed they work


(cherry picked from commit 334d8f02f5c35a96fc1ae30989dca5ad2ec6217a)

M  +2    -3    applets/systemmonitor/coreusage/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/cpu/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/diskusage/contents/config/faceproperties
M  +3    -3    applets/systemmonitor/memory/contents/config/faceproperties

https://invent.kde.org/plasma/plasma-workspace/commit/d974a7f571f306b65bf851fbae8c62ad4b167d69